<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>
<html>

<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin: 0px;">

  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" >
    <tr>
      <td align="left" valign="top" background="images/bg1.gif" style="margin: 0;">
	  <table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
        <!--DWLayoutTable-->
        <tr>
          <td width="100%"  background="images/bg1.gif" style="padding-bottom:20px;padding-top:40px;">
         
            
                <table width="100%" border="0" align="left" cellspacing="0" >
                  <!--DWLayoutTable-->
                  <tr>
                
                    <td style="padding-right:15px;">
<!--LOGO-->
		<table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="20%" rowspan="2" align="center">
                        <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                        <td width="80%" align="left" class="company" style="padding-right:10px; ">
                         <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                      <tr>
                        <td align="left" class="slogan">
                         <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
<!--END LOGO-->
			</td>
                    <td >
         <!-- MENU -->
		<table  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                         <xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table>
	<!-- END MENU -->
					</td>
                  </tr>
              </table>
             
          </td>
        </tr>
        <tr>
          <td height="169" valign="bottom" ><div align="center">
            <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="68"></td>
                <td width="100%" height="210"  align="left" valign="top"><div align="center" >
                <img src="images/header.jpg" width="670" height="200"/>
				  </div></td>
              </tr>
            </table>
            </div></td>
        </tr>
        <tr>
          <td height="169" valign="bottom"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="70%" height="100%" valign="top">
			  
			  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="50%" valign="top" class="text-header" style="background: url('images/7_031.gif') repeat-x; padding: 0 10px 10px 0;">		  
	<!-- TEXT HEADER-->  
		<table border="0" cellspacing="0">
                    <tr>
                      <td class="text-header" style="padding-left:25px;" >
                     <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                      </td>
                    </tr>
                  </table>
	<!-- END TEXT HEADER-->  
		</td>              
                <tr>
				
				 <!-- CONTENT -->
                  <td style="padding-left:25px;padding-right:25px;" width="50%" height="250" valign="top" class="pageContent" name="SB_stretch">
                  <xsl:apply-templates select="PAGE-CONTENT"/>
                    </td>
				 <!--END  CONTENT -->
                </tr>
                </tr>
              </table>
			 
			  </td>
              <td valign="bottom" style="padding-bottom:15px;" width="30%">
              
			  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="50" height="99"><div style="width:50px; "></div></td>
                  
                  <td height="99"  background="images/sub_bg.gif">
                  <table width="100%" height="99" border="0" cellspacing="0">
                    <tr>
			<td bgcolor="#909090" height="2" colspan="2">
			</td>
		    </tr>
                    <tr>
                      <td style="padding-bottom:10px;padding-top:10px;">
		<!-- SUB MENU-->  
			<table width="100%" border="0" cellspacing="0">
			
                        <xsl:call-template name="SUB-MENU">
               	      <xsl:with-param name="pageID" select="@ID"/>                            
                      </xsl:call-template>  
                    
                      </table>
		<!--END SUB MENU-->  
		     </td>
                      <td width="75" align="right"><img src="images/sub_image.gif" width="75" height="83"/></td>
                    </tr>
                    <tr>
			<td bgcolor="#909090" height="2" colspan="2">
			</td>
		  </tr>
                  </table></td>
                </tr>
              
              </table>
			 </td>
            </tr>
          </table></td>
        </tr>
        <tr>
        
          <td height="25" valign="middle" style="background: url('images/bottom_bg.gif');background-position:bottom ; ">
          
<!-- BOTTOM MENU -->
       
	<table  border="0" align="center" cellpadding="0" cellspacing="0" style="background:url('images/22_061.gif'); background-repeat:repeat-x;">
            <tr>
              <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
          
          </table>
        
  <!-- END BOTTOM MENU -->
          </td>
        </tr>
          <tr>
              <td bgcolor="#909090" height="2"></td>
            </tr>
        <tr>
          <td valign="top" style="padding-top:20px;" height="70"  background="/images/23_10.gif">
		  <!-- FOOTER -->
		  <table  border="0" align="right" cellpadding="0" cellspacing="0">

              <td align="right" class="footer" >
			  <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                </td>
           </table>
		  <!-- END FOOTER -->
          </td>
        </tr>
      </table>
	  </td>
    </tr>
</table>	

</body>
</html>




</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
			       <td align="right" style="padding-right:7px;">
				  <img src="images/sub_button.gif" border="0" alt=""/>
				</td>
			       <td class="asubmenu">
				  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
				
				
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
				        <td align="right" style="padding-right:7px;">
				        <a href="{@HREF}">
				           <img src="images/sub_button.gif" border="0" alt=""/>
				        </a>
				        </td>
				        <td >
					<a href="{@HREF}" class="submenu">
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
				        </td>
				        
				      
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
        <td colspan="2" >
             
              </td>	
	 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		         
		         <td align="right" width="15px" style="padding-right:5px; ">	                   
			     <img src="images/24_06.gif" border="0" alt=""/>   
			 </td>
			<td align="left">
			  <a href="{@HREF}" class="bmenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </a>
			</td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td align="right"  width="15px" style="padding-right:5px; ">
				    <img src="images/24_06.gif" border="0" alt=""/>
		        </td>
				        
			<td align="left" class="abmenu" >
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</td>
            
           </xsl:when>
           <xsl:otherwise>
		     <td align="right"  width="15px" style="padding-right:5px; ">
			 <img src="images/24_06.gif" border="0" alt=""/>
		    </td>
		<td align="left">
			<a href="{@HREF}" class="bmenu" >
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="60px" align="center" rowspan="2">
			    <img src="images/25_06.gif" />
			</td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

